Transfer card balance to another card
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cards/{id}/transfer_balance \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"destination_card_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"entity_id": "019514eb-5d5c-b395-5a77-449d12701ce7"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cards/{id}/transfer_balance"
payload = {
"amount": 1000,
"destination_card_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"entity_id": "019514eb-5d5c-b395-5a77-449d12701ce7"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1000,
destination_card_id: '019514eb-5d5c-b395-5a77-449d12701ce7',
entity_id: '019514eb-5d5c-b395-5a77-449d12701ce7'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cards/{id}/transfer_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"No Content"{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Cards
Transfer Card Balance
Transfer card balance to another card
POST
/
banking
/
cards
/
{id}
/
transfer_balance
Transfer card balance to another card
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
From card ID
Body
application/json
Transfer Card Balance
Response
Transferred
The response is of type string<string>.
Example:
"No Content"
⌘I

